/*
 * kernel/power/prepare_image.h
 *
 * Copyright (C) 2003-2006 Nigel Cunningham <nigel@suspend.net>
 * Copyright (C) 2006 Red Hat, inc.
 *
 * This file is released under the GPLv2.
 *
 */

#include <asm/sections.h>

extern int suspend_prepare_image(void);
extern void suspend_recalculate_image_contents(int storage_available);
extern int real_nr_free_pages(void);
extern int image_size_limit;

#ifdef CONFIG_CRYPTO
extern int suspend_expected_compression_ratio(void);
#else
static inline int suspend_expected_compression_ratio(void)
{
	return 0;
};
#endif

#define MIN_FREE_RAM 2000
#define MIN_EXTRA_PAGES_ALLOWANCE 500

extern int extra_pd1_pages_allowance;
extern int storage_needed(int use_ecr, int ignore_extra_p1_allowance);
extern int ram_to_suspend(void);

